Subject: [PATCH] n_tty: use kmalloc() instead of vmalloc() to avoid crash on armada-xp

From: [email-masked] (Stas Sergeev)
Date: Thu, 12 Mar 2015 15:44:44 +0300

11.03.2015 21:33, Thomas Petazzoni ?????:
> Dear Stas Sergeev,
>
> On Wed, 11 Mar 2015 21:08:03 +0300, Stas Sergeev wrote:
>
>> mem=0xc0000000 seems to work!
>> 0xd0000000 or 0xe0000000 do not.
>> OK, so 3Gb instead of 8... but at least it boots! :)
> What is the value of the register 0xf1020254 ?
Hello Thomas, I haven't got to look into that register:
uboot is updated to v2011.12-2014_T2.0 and everything
is working! So thanks once again.
The only problem I now have is the lack of 256Mb of
ram.

[    0.000000] MEMBLOCK
configuration:                                         
[    0.000000]  memory size = 0x1f0000000 reserved size =
0x70d6e3             
[    0.000000]  memory.cnt  =
0x2                                              
[    0.000000]  memory[0x0]     [0x00000000000000-0x000000efffffff],
0xf0000000
bytes flags:
0x0                                                               
[    0.000000]  memory[0x1]     [0x00000100000000-0x000001ffffffff],
0x100000000
 bytes flags: 0x0 

There is a 8Gb in a single dimm.
Do you have any idea why 0xf0000000-0xffffffff range is missing?
I suspect this is something with uboot too.